Skip to content

Poll order status ​

GEThttps://pay.example.com/pay/check-status/{trade_id}

Request example ↓

Poll with the EPUSDT trade_id to update checkout. Fulfil the order after verifying the merchant callback.

Parameters ​

trade_id · string · PATH

The EPUSDT transaction ID returned when the order was created.

Order states ​

StatusMeaning
1Awaiting payment
2Paid
3Expired
4Awaiting a network, asset or provider selection
5A matching transfer has been observed and is confirming
6Two rounds of strict verification failed. Manual review is required

Responses

application/json
Response fields
  • status_code integer

    Application result code.

  • message string

    Human-readable result.

  • data object

    Response payload; null on error.

    • trade_id string
    • status integer
  • request_id string

    Request identifier for tracing.

application/json
Response fields
  • status_code integer

    Application result code.

  • message string

    Human-readable result.

  • data null

    Response payload; null on error.

  • request_id string

    Request identifier for tracing.

error-codes.json ↓